Continue to Site

Welcome to MCAD Central

Join our MCAD Central community forums, the largest resource for MCAD (Mechanical Computer-Aided Design) professionals, including files, forums, jobs, articles, calendar, and more.

Creating New CATIA document

kiran.alangar

New member
Hi All,
I'm fresh graduate from college. Now I'm working on
CATIA customization. I don't the basics of the CATIA
because I'm from computer science background.

I'm trying to create a new CATIA document using following
code:

Sub CATMain()
Dim oFirstNewPartDoc As Document
Set oFirstNewPartDoc = CATIA.Documents.Add("Part")
End Sub


I'm getting an error in 2nd line.
Error is"Expected end of statement"

Can anyone help me with this??

Thanks,
Kiran Bhat
 
Try something like this:


Sub CATMain()



Dim oFirstNewPartDoc As Document
Set oFirstNewPartDoc = CATIA.Documents


oFirstNewPartDoc.Add("Part")



End Sub
 

Sponsor

Articles From 3DCAD World

Back
Top